textures/sugarmill/hw_nightsky
{
	qer_editorimage env/hw_nightsky/nightsky_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 768
	q3map_lightmapFilterRadius 0 8
	q3map_backsplash 0 0
	surfaceparm sky
	q3map_skylight 40 3
	q3map_sunExt .3 .6 1 100 315 50 3 16
	skyparms env/hw_nightsky/nightsky - -
}

textures/sugarmill/grass_to_dirt
{
		qer_editorimage textures/sugarmill/dirt.tga
		surfaceparm nodamage
		q3map_nonplanar
		q3map_shadeAngle 179
        {
			map textures/sugarmill/dirt.tga
        }
        {
			map textures/sugarmill/grass.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        }
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        }
		{
		detail
		map textures/sugarmill/detail.jpg
		tcmod scale 3 3
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		tcmod turb 0 0.4 0.2 0.0001
		}
}

textures/sugarmill/grass_to_rock
{
		qer_editorimage textures/sugarmill/grass.tga
		surfaceparm nodamage
		q3map_nonplanar
		q3map_shadeAngle 179
        {
			map textures/sugarmill/rock.tga
        } 
        {
			map textures/sugarmill/grass.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        } 
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        } 
		{
		detail
		map textures/sugarmill/detail.jpg
		tcmod scale 3 3
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		tcmod turb 0 0.4 0.2 0.0001
		}
}

textures/sugarmill/rock_to_black
{
		qer_editorimage textures/sugarmill/rock.tga
		surfaceparm nodamage
		q3map_nonplanar
		q3map_shadeAngle 179
        {
			map textures/sugarmill/rock.tga
        } 
        {
			map textures/sugarmill/burntrock.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        } 
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        } 
		{
		detail
		map textures/sugarmill/detail.jpg
		tcmod scale 3 3
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		tcmod turb 0 0.4 0.2 0.0001
		}
}

textures/sugarmill/grass_to_gravel
{
		qer_editorimage textures/sugarmill/gravel.tga
		surfaceparm nodamage
		q3map_nonplanar
		q3map_shadeAngle 179
        {
			map textures/sugarmill/gravel.tga
        } 
        {
			map textures/sugarmill/grass.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        } 
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        } 
		{
		detail
		map textures/sugarmill/detail.jpg
		tcmod scale 3 3
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		tcmod turb 0 0.4 0.2 0.0001
		}
}

textures/sugarmill/grass_to_concrete
{
		qer_editorimage textures/sugarmill/concrete4.tga
		surfaceparm nodamage
		q3map_nonplanar
		q3map_shadeAngle 179
        {
			map textures/sugarmill/concrete4.tga
        } 
        {
			map textures/sugarmill/grass.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        } 
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        } 
		{
		detail
		map textures/sugarmill/detail.jpg
		tcmod scale 3 3
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		tcmod turb 0 0.4 0.2 0.0001
		}
}

textures/sugarmill/concrete3
{
		qer_editorimage textures/sugarmill/concrete3.tga
		q3map_nonplanar
		q3map_shadeAngle 179
        {
			map textures/sugarmill/black.tga
        } 
        {
			map textures/sugarmill/concrete3.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        } 
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        }
		{
			detail
			map textures/sugarmill/detail.jpg
			tcmod scale 3 3
			blendfunc GL_DST_COLOR GL_SRC_COLOR
			tcmod turb 0 0.4 0.2 0.0001
		}
}

textures/sugarmill/silo_big
{
		qer_editorimage textures/sugarmill/silo_big.tga
		q3map_nonplanar
		q3map_shadeAngle 179
		{
			map textures/sugarmill/black.tga
        } 
        {
			map textures/sugarmill/silo_big.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        } 
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        }
		{
			detail
			map textures/sugarmill/detail.jpg
			tcmod scale 3 3
			blendfunc GL_DST_COLOR GL_SRC_COLOR
			tcmod turb 0 0.4 0.2 0.0001
		}
}

textures/sugarmill/silo_small
{
		qer_editorimage textures/sugarmill/silo_small.tga
		q3map_nonplanar
		q3map_shadeAngle 179
		{
			map textures/sugarmill/black.tga
        } 
        {
			map textures/sugarmill/silo_small.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        } 
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        }
		{
			detail
			map textures/sugarmill/detail.jpg
			tcmod scale 3 3
			blendfunc GL_DST_COLOR GL_SRC_COLOR
			tcmod turb 0 0.4 0.2 0.0001
		}
}

textures/sugarmill/props1
{
		qer_editorimage textures/sugarmill/props1.tga
		q3map_nonplanar
		q3map_shadeAngle 179
		{
			map textures/sugarmill/black.tga
        } 
        {
			map textures/sugarmill/props1.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        } 
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        }
		{
			detail
			map textures/sugarmill/detail.jpg
			tcmod scale 2 2
			blendfunc GL_DST_COLOR GL_SRC_COLOR
			tcmod turb 0 0.4 0.2 0
		}
}

textures/sugarmill/props2
{
		qer_editorimage textures/sugarmill/props2.tga
		q3map_nonplanar
		q3map_shadeAngle 179
		{
			map textures/sugarmill/black.tga
        } 
        {
			map textures/sugarmill/props2.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        } 
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        }
		{
			detail
			map textures/sugarmill/detail.jpg
			tcmod scale 1 1
			blendfunc GL_DST_COLOR GL_SRC_COLOR
			tcmod turb 0 0.4 0.2 0
		}
}

textures/sugarmill/props3
{
		qer_editorimage textures/sugarmill/props3.tga
		q3map_nonplanar
		q3map_shadeAngle 179
		{
			map textures/sugarmill/black.tga
        } 
        {
			map textures/sugarmill/props3.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        } 
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        }
		{
			detail
			map textures/sugarmill/detail.jpg
			tcmod scale 1 1
			blendfunc GL_DST_COLOR GL_SRC_COLOR
			tcmod turb 0 0.4 0.2 0
		}
}

textures/sugarmill/concrete_rough
{
		qer_editorimage textures/sugarmill/concrete_rough.tga
        {
			map textures/sugarmill/brick.tga
        } 
        {
			map textures/sugarmill/concrete_rough.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
			alphagen vertex
        } 
        {
			map $lightmap
			blendfunc GL_DST_COLOR GL_ZERO
			rgbGen identity
        }
		{
			detail
			map textures/sugarmill/detail.jpg
			tcmod scale 3 3
			blendfunc GL_DST_COLOR GL_SRC_COLOR
			tcmod turb 0 0.4 0.2 0.0001
		}
}

textures/sugarmill/metal067
{
//	q3map_lightmapsampleoffset 32
	q3map_lightmapmergable
	q3map_nonplanar
	q3map_shadeangle 179
        qer_editorimage textures/sugarmill/metal067.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sugarmill/metal067.jpg
		alphaFunc GT0
		blendFunc filter
	}
}

models/sugarmill/grass
{
		qer_editorimage models/sugarmill/grass.tga
		qer_alphafunc greater 0.5
		surfaceparm alphashadow
		surfaceparm nonsolid
		nomipmaps
		nopicmip
		cull none
		{
			detail
			map models/sugarmill/grass.tga
			alphaFunc GE128
			depthWrite
			rgbGen vertex
		}
}

textures/sugarmill/fence
{
		qer_alphafunc greater 0.5
//		surfaceparm trans
		surfaceparm nomarks
//		surfaceparm nonsolid
		surfaceparm playerclip
		surfaceparm alphashadow
		surfaceparm noimpact
		cull none
		nopicmip
		nomipmaps
		{
			map textures/sugarmill/fence.tga
			blendFunc GL_ONE GL_ZERO
			alphaFunc GE128
			depthWrite
			rgbGen identity
		}
		{
			map $lightmap
			rgbGen identity
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
		}
}

textures/sugarmill/grate
{
	qer_alphafunc greater 0.5
	surfaceparm	metalsteps	
//  surfaceparm trans		
	surfaceparm alphashadow
	cull none
    nopicmip
	nomipmaps
	{
		map textures/sugarmill/grate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sugarmill/concrete_hole
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
    sort 6
	nopicmip
	{
		map textures/sugarmill/concrete_hole.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sugarmill/cute_kitten
{
	qer_editorimage textures/sugarmill/1.jpg
    {
		animMap 6 textures/sugarmill/1.jpg textures/sugarmill/2.jpg textures/sugarmill/3.jpg
		rgbGen identity
	}  
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/sugarmill/thisman
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
    sort 6
	nopicmip
	{
		map textures/sugarmill/thisman.jpg
		blendfunc filter
	}
}

textures/sugarmill/leak1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
    sort 6
	nopicmip
	{
		map textures/sugarmill/leak1.jpg
		blendfunc filter
	}
}

textures/sugarmill/leak2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
    sort 6
	nopicmip
	{
		map textures/sugarmill/leak2.jpg
		blendfunc filter
	}
}

textures/sugarmill/leak3
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
    sort 6
	nopicmip
	{
		map textures/sugarmill/leak3.jpg
		blendfunc filter
	}
}

textures/sugarmill/leak4
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
    sort 6
	nopicmip
	{
		map textures/sugarmill/leak4.jpg
		blendfunc filter
	}
}

textures/sugarmill/leak5
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
    sort 6
	nopicmip
	{
		map textures/sugarmill/leak5.jpg
		blendfunc filter
	}
}

textures/sugarmill/leak6
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
    sort 6
	nopicmip
	{
		map textures/sugarmill/leak6.jpg
		blendfunc filter
	}
}

textures/sugarmill/lightbeam
{
	qer_trans 0.5
	qer_editorimage textures/sugarmill/lightbeam.tga
	deformvertexes autosprite2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
    {
		map textures/sugarmill/lightbeam.tga
		blendfunc add
		rgbgen identity
    }
}

textures/sugarmill/glass
{	
	qer_editorimage textures/common/invisible.tga
	qer_trans 0.5
	surfaceparm nolightmap
	cull none
	{
		map textures/effects/tinfx2c.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/sugarmill/window2
{
	{	
		map textures/sugarmill/window2.tga
	}
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/sugarmill/window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}